#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Odds2_DayBuffData
{
	//BuffID
	int mBuffID;
	//天数
	int mDay;
	//Buff获得区间最小值
	int mBuffEffectMin;
	//Buff获得区间最大值
	int mBuffEffectMax;
};

class Odds2_DayBuff
{
public:
private:
	static std::auto_ptr<Odds2_DayBuff> msSingleton;
public:
	int GetCount();
	const Odds2_DayBuffData* GetData(int BuffID);
	boost::unordered_map<int, Odds2_DayBuffData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Odds2_DayBuff* GetSingleton();
private:
	boost::unordered_map<int, Odds2_DayBuffData> mMapData;
};
